import os
import sys
# Get the directory containing the current file
current_dir = os.path.dirname(os.path.abspath(__file__))
# Append the 'sedCellMLPy' directory to the system path
sys.path.append(os.path.join(current_dir, '../sedCellMLPy/'))
from sedCollector import read_sedml
from sedExecutor import exec_sed_doc
from pathlib import Path

path_='../Facilitated transporter/CellMLV2/'
working_dir = os.path.join(current_dir, path_)
sedFiles=['GLUT2_kinetic.sedml','GLUT2_ss_io.sedml','GLUT2_ss_oi.sedml','GLUT2_BG_ss_oi.sedml','GLUT2_BG_ss_io.sedml']

for sedFile in sedFiles:
    full_path=os.path.join(current_dir, path_,sedFile)
    doc=read_sedml(full_path)
    exec_sed_doc(doc, working_dir, working_dir, rel_out_path='sim_results', external_variables_info={},
                  external_variables_values=[],ss_time={},cost_type=None)